# `finallycoffee.matrix.element` ansible role

## Deployment method

Deploy the [element web-app](https://element.io/)
using the following supported methods by setting `element_deployment_method` to it:

- [`docker` (docs)](docs/docker.md) (default)
- `podman`

Planned deployment methods:

- `tarball`
- `nginx`
- `apache2`

## Configuration

Configure your element web-app instance by setting `element_config` directly
or use flattened config keys with the `element_config_` prefix.

For all available keys see
[the upstream configuration manual](https://github.com/element-hq/element-web/blob/develop/docs/config.md)
or [the role defaults in `defaults/config.yml`](defaults/config.yml).
